# RPM spec file for popenhs
#
# Copyright 2001 Jens-Ulrik Petersen <juhp@01.246.ne.jp>

Name: popenhs
Version: 1.00.0
Release: 1
License: LGPL
Summary: A popen-like library for Haskell
Group: Development/Libraries
Source: http://www.01.246.ne.jp/~juhp/haskell/%{name}/%{name}-%{version}.tar.gz
URL: http://www.01.246.ne.jp/~juhp/haskell/%{name}/
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Packager: Jens-Ulrik Petersen <juhp@01.246.ne.jp>
Requires: haskell
Provides: %{name}

%description
A popen-like library for Haskell, providing lazy output from subprocesses.

Haskell 98 is "the" standard lazy functional programming language.
More info and the language definition are at http://www.haskell.org/.


%changelog
* Fri Jan 25 2002 Jens Petersen <juhp@01.246.ne.jp>  1.00.0-1
- new version: API changed to popen
- Don't define version, release and prefix.
- autoconf vars for name and version
- Copyright -> License
- Use rpm macros for name everywhere
- Use configure and makeinstall macros
- For files use _prefix and only like libdir
- no, the version numbering is not in binary, honest!

* Thu Oct 18 2001 Jens Petersen <juhp@01.246.ne.jp>  0.00.1-1
- added defattr

* Thu Oct  4 2001 Jens Petersen <juhp@01.246.ne.jp>  0.00-1
- first release

%prep

%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL TODO README NEWS AUTHORS COPYING index.html
%{_prefix}/bin/%{name}-config
%{_prefix}/lib/%{name}-%{version}
